# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PreDefinedColour Class Reference

`#include <StepVisual_PreDefinedColour.hxx>`

Inheritance diagram for StepVisual_PreDefinedColour:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_PreDefinedColour ()
| Returns a PreDefinedColour .
Standard_EXPORT void | SetPreDefinedItem (const Handle(StepVisual_PreDefinedItem)&item)
| set a pre_defined_item part
Standard_EXPORT const Handle_StepVisual_PreDefinedItem & | GetPreDefinedItem () const
| return a pre_defined_item part
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepVisual_PreDefinedItem | myItem

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PreDefinedColour::StepVisual_PreDefinedColour | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Handle_StepVisual_PreDefinedItem& StepVisual_PreDefinedColour::GetPreDefinedItem | ( |  | ) | const

Standard_EXPORT const StepVisual_PreDefinedColour::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_Colour. Reimplemented in StepVisual_DraughtingPreDefinedColour.

Standard_EXPORT void StepVisual_PreDefinedColour::SetPreDefinedItem | ( | const Handle(StepVisual_PreDefinedItem)& | item | ) |

## Field Documentation

Handle_StepVisual_PreDefinedItem StepVisual_PreDefinedColour::myItem `[private]`

The documentation for this class was generated from the following file:

- StepVisual_PreDefinedColour.hxx